function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { PrimaryColumn, Entity, Index, JoinColumn, Column, ManyToOne } from "typeorm";
import { Note } from "./note.js";
import { User } from "./user.js";
import { id } from "../id.js";
export let PromoRead = class PromoRead {
    id;
    createdAt;
    userId;
    user;
    noteId;
    note;
    readDay;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], PromoRead.prototype, "id", void 0);
_ts_decorate([
    Column("timestamp with time zone", {
        comment: "The created date of the PromoRead."
    }),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], PromoRead.prototype, "createdAt", void 0);
_ts_decorate([
    Index(),
    Column(id()),
    _ts_metadata("design:type", Object)
], PromoRead.prototype, "userId", void 0);
_ts_decorate([
    ManyToOne((type)=>User, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], PromoRead.prototype, "user", void 0);
_ts_decorate([
    Column(id()),
    _ts_metadata("design:type", Object)
], PromoRead.prototype, "noteId", void 0);
_ts_decorate([
    ManyToOne((type)=>Note, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], PromoRead.prototype, "note", void 0);
_ts_decorate([
    Column("varchar", {
        length: 10
    }),
    _ts_metadata("design:type", String)
], PromoRead.prototype, "readDay", void 0);
PromoRead = _ts_decorate([
    Entity(),
    Index([
        "userId",
        "noteId",
        "readDay"
    ], {
        unique: true
    })
], PromoRead);
